Package org.apache.sling.scriptingbundle.plugin.capability

## Class ProvidedResourceTypeCapability

- java.lang.Object
- - org.apache.sling.scriptingbundle.plugin.capability.ProvidedResourceTypeCapability

    public class ProvidedResourceTypeCapability
    extends Object

### Nested Class Summary

Nested Classes
`static class` `ProvidedResourceTypeCapability.Builder`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ProvidedResourceTypeCapability.Builder` `builder()`
`boolean` `equals​(Object obj)`
`@Nullable String` `getExtendsResourceType()`
`@Nullable String` `getRequestExtension()`
`@Nullable String` `getRequestMethod()`
`@NotNull Set<String>` `getResourceTypes()`
`@Nullable String` `getScriptEngine()`
`@Nullable String` `getScriptExtension()`
`@NotNull List<String>` `getSelectors()`
`@Nullable org.osgi.framework.Version` `getVersion()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### builder

    public static ProvidedResourceTypeCapability.Builder builder()

#### getResourceTypes

    @NotNull
    public @NotNull Set<String> getResourceTypes()

#### getScriptEngine

    @Nullable
    public @Nullable String getScriptEngine()

#### getScriptExtension

    @Nullable
    public @Nullable String getScriptExtension()

#### getVersion

    @Nullable
    public @Nullable org.osgi.framework.Version getVersion()

#### getRequestExtension

    @Nullable
    public @Nullable String getRequestExtension()

#### getExtendsResourceType

    @Nullable
    public @Nullable String getExtendsResourceType()

#### getRequestMethod

    @Nullable
    public @Nullable String getRequestMethod()

#### getSelectors

    @NotNull
    public @NotNull List<String> getSelectors()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`